Skip to content

Check a Solana transfer proof

POST
/solana/transfer-proofs/{id}/check
curl --request POST \
--url https://api.ethos.network/api/v2/solana/transfer-proofs/1/check \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Looks for the requested transfer. Once found, returns a signature for a solana attestation of the sending wallet, which the caller submits to the blockchain.

id
required
integer
> 0 <= 9007199254740991

Successful response

Media typeapplication/json
One of:
object
status
required
string
Allowed values: EXPIRED PENDING

Example

{
"status": "EXPIRED"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}